
Infrastructure - Task #4693

Story # 4478 (Closed): Setup Jenkins for testing components vs. Java 7

migrate Hudson jobs to Jenkins

2014-04-07 19:42 - Rob Nahf

Status: Closed Start date: 2014-04-07

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: 2014.30-Block.4.3   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

Apparently copying the appropriate Hudson config files to another instance (even Jenkins instance) is pretty straightforward, as long

at the two version aren't too far apart in time.

http://jenkins-ci.361315.n4.nabble.com/Hudson-to-Jenkins-migration-td4641764.html

see also:

https://wiki.jenkins-ci.org/display/JENKINS/Administering+Jenkins#AdministeringJenkins-Moving/copying/renamingjobs

History

#1 - 2014-04-07 19:43 - Rob Nahf

- Description updated

copied the config.xml files from the Hudson's job directory.

placed in jenkins-1.dataone.org:/var/lib/jenkins/copiedHudsonJobConfigs

imported the dev-related ones.

still need to import the ones related to unstable builds.

#2 - 2014-04-07 20:15 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 2014-04-28 20:51 - Rob Nahf

the copied jobs are under /var/lib/jenkins

see the README_Hudson_Job_Transfer.txt for details

#4 - 2014-06-30 22:36 - Robert Waltz

- Milestone changed from None to CCI-1.2

- Product Version changed from * to 1.2.7

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 50 to 100

- Status changed from In Progress to Closed
#5 - 2014-06-30 22:37 - Robert Waltz

- Target version set to 2014.26-Block.4.1

#6 - 2014-09-24 18:27 - Rob Nahf

- Target version changed from 2014.26-Block.4.1 to Maintenance Backlog

#7 - 2014-09-24 18:28 - Rob Nahf

- Target version changed from Maintenance Backlog to 2014.30-Block.4.3
